Bug 76239 - g++ segmentation faults
Summary: g++ segmentation faults
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 8.0
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-18 15:54 UTC by Need Real Name
Modified: 2007-04-18 16:47 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-03 10:08:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
preprocessor output demonstrating the problem (2.30 MB, text/plain)
2002-10-18 15:56 UTC, Need Real Name
no flags Details

Description Need Real Name 2002-10-18 15:54:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3; Linux)

Description of problem:
Attempting to compile the attached file -- the result of running the g++ preprocessor across an input for the boost python library (www.boost.org) -- results in an completely reproducible seg fault.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run g++ on the attached file
2.
3.
	

Actual Results:  segmentation fault

Additional info:

Here's the error message and version information:
~/RD/External/boost_1_29_0/libs/python/user > g++ -c convert2.proc.cpp
convert2.cpp: In function `PyObject* foof(int)':
convert2.cpp:13: internal error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
~/RD/External/boost_1_29_0/libs/python/user > which g++
/usr/bin/g++
~/RD/External/boost_1_29_0/libs/python/user > g++ --version
g++ (GCC) 3.2 20020903 (Red Hat Linux 8.0 3.2-7)
Copyright (C) 2002 Free Software Foundation, Inc.

Comment 1 Need Real Name 2002-10-18 15:56:32 UTC
Created attachment 80946 [details]
preprocessor output demonstrating the problem

Comment 2 Richard Henderson 2004-10-03 10:08:16 UTC
GCC 3.3 yields no ICE, but the error message

convert2.cpp: In function `PyObject* foof(int)':
convert2.cpp:13: error: invalid use of `template<class T> struct
   boost::python::to_python_value'


Note You need to log in before you can comment on or make changes to this bug.